const
{ general constants }
  error      = maxint;
  author     = 'Copyright 1991, 1992 by Robert Weaver.  All Rights Reserved.';
  source     = 'For latest versions, call 510-376-1554';
  version    = 'version 0.94 (dos) bugfix 1';
  FileNotFound =   2;
  abort      = 'abort';
{ universe dimensions }
  maxSector  = 1000;
  maxWarps   = 6;
  maxPorts   = 420;
  maxNote    = 400;        { max number of notes                       }
  NoteSize   = 40;         { max size of note string                   }
  MaxMPS     = 25;         { max "multi port sector" for robbing paths }
  MaxInto = 8;             { maximum number of warps into a sector     }
{ sector (warp number) flag }
  UnExplored = 0;
{ stuff flags }
  NotAPort   = -1;
  Class0     = 8;
{ etc flags }
  NoteExists = 1;
  IsPort     = 2;
  HasFighters= 4;
  SpaceLane  = 8;
  Avoid      = 16;
  Stardock   = 128;
  Busted     = 256;
  Nothing    = 0;

type
  str3 = string[ 3 ];
  SectorIndex  = 0..maxSector;
  sector     = 1..maxSector;
  PortPtr = 1..MaxPorts;
  PortIndex = 0..MaxPorts;
  dist = record
           d : integer;
           s : sector;
         end;
  distanceArray = array [ sector ] of dist;
  sectorscanner = array [ sector ] of boolean;
  DistanceTable = array [0..MaxMPS, 0..MaxMPS] of integer;
  SectorVector  = record
                    size : 0..MaxMPS;
                    data : array [0..MaxMPS] of sectorindex;
                  end;

  PortVector = record
                 size : 0..MaxMPS;
                 data : array [1..MaxMPS] of portIndex;
               end;
  warpindex  = 0..maxWarps;
  stuff      = -1..8;      { 8 = class 0; xxx (binary) Equip, Org, Fuel }
                           {-1 = not a port   1 = sell, 0 = buy         }
  SectorInfo = record
                 number   : 0..maxWarps;
                 data     : array [ 1..maxwarps ] of sector;
                 porttype : stuff;
                 etc      : word;
               end;

  note = record
           reference : sector;
           info      : string [ NoteSize ];
         end;
  NoteIndex = 0..MaxNote;
  NoteList = record
               top  : NoteIndex;
               data : array [1..MaxNote] of note;
             end;

  goods = ( Fuel, Organics, Equipment );
  GoodsArray = array [ goods ] of integer;   { + = selling; - = buying }
  percent = 0..100;
  PercentArray = array [ goods ] of percent;
  portTradeType = (AllTrades, EquipOrganic, EquipFuel, OrganicFuel);
  portField = ( location, bust );
  portSales = record
                where : sector;
                amts  : goodsArray;
                usage : percentArray;
                change: goodsArray;
                bustdate : word;
              end;
  PortList  = record
                top  : PortIndex;
                data : array [ PortPtr ] of PortSales;
              end;

  SectorArray = array [ sector ] of SectorInfo;
  TheVoid = record
              dock    : SectorIndex;
              notes   : NoteList;
              Ports   : PortList;
              sectors : SectorArray;
            end;
  invindex = 0..MaxInto;
  inversearray = array [ sector ] of
                   record
                     number : invindex;
                     data   : array [1..MaxInto] of sector;
                   end;

