procedure unknownSectors;
{ Are there sectors that are not anchored?  Print out a list. }
var
  Aware : array [ sector ] of boolean;
  i     : sector;
  t     : warpindex;
  f     : text;
  fname : string;
  count : word;
begin
  write('File name for output?  (Hit return for screen)  ');
  for i := 1 to MaxSector do
    aware[ i ] := false;
  readln( fname );
  assign( f, fname );
  rewrite( f );
  for i := 1 to MaxSector do
    if space.sectors[i].number <> Unexplored then
      begin
        for t := 1 to space.sectors[i].number do
          aware[ space.sectors[i].data[t] ] := true;
        aware[ i ] := true;
      end; {for if}
  writeln(f, 'Here are the ''unattached'' sectors: ');
  count := 0;
  for i := 1 to MaxSector do
    if not aware[ i ] then
      begin
        write(f, i : 5 );
        count := count + 1;
        if count mod 10 = 0 then
          writeln( f );
      end;
  if count = 0 then writeln(f, ' NONE!');
  writeln(f);
  if fname <> '' then
    close( f );
end;